/*	BASIC INTERRUPT VECTORS TABLE FOR ST7 devices
 *	Copyright (c) 2002 STMicroelectronics
 */

#ifndef NULL
#define NULL	(void *)0
#endif

extern void _stext();		/* startup routine */  

/* Interrupt vector table, to be linked at the address
   0xFFE0 (in ROM) */ 
void (* const _vectab[])() = {
	NULL,  			/* 0xFFE0 */
	NULL,			/* 0xFFE2 */
	NULL,			/* 0xFFE4 */
	NULL,			/* 0xFFE6 */
	NULL,			/* 0xFFE8 */
	NULL,			/* 0xFFEA */
	NULL,			/* 0xFFEC */
	NULL,			/* 0xFFEE */
	NULL,			/* 0xFFF0 */
	NULL,			/* 0xFFF2 */
	NULL,			/* 0xFFF4 */
	NULL,			/* 0xFFF6 */
	NULL,			/* 0xFFF8 */
	NULL,			/* 0xFFFA */
	NULL,			/* Trap vector */
	_stext,			/* Reset Vector */
};