/***************** (c) 2006 BTC Korporacja ***********************************
                     http://www kamami.com
PROJECT  : BUZZER
BOARD    : ZL1ST7 (with ST7FLITE29 in socket U6)
COMPILER : COSMIC (IDE ST7VD)

******************************************************************************

    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT 
    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING 
    FROM USE OF THIS SOFTWARE.

******************************************************************************

DESCRIPTION :
    Simple sound generating after pressing SW1.
    Jumpers settings on ZL1ST7:
        JP3  - 2-3 - crystal 16MHz
        JP4  - 2-3 - crystal 16MHz
        JP15 - 2-3 - connect SW1 to PA0
        Connect buzzer Gl1 JP20 (pin 3) with PB0 JP2 (pin 10)

******************************************************************************/

#include <io7flit2.h> 
#include "bit.h"

void main(void)
{
  unsigned char del_time; 
  
  PBDDR = 0xFF;	                // PORTB: bits 0..7 - outputs
  PBOR = 0xFF;		        // PORTB: push-pull
  
  while(1)
  { 
    if( !ValBit(PADR,0) )
    {
      ChgBit( PBDR, 0 );
      del_time = 100;
      while( del_time-- )
        ;
    }
  } // while
}   
